//
//  AMCEnumerates.h
//  AgoraGameEngineKit
//
//  Created by dingyusong on 2022/3/31.
//

#ifndef AMCEnumerates_h
#define AMCEnumerates_h

typedef NS_ENUM(NSUInteger, AGELogLevel) {
    AGELogLevelNone = 0,
    AGELogLevelDebug = 1,
    AGELogLevelInfo = 2,
    AGELogLevelWarn = 4,
    AGELogLevelError = 8,
    AGELogLevelFatal = 16,
};

/*
 函数返回值的错误类型
 */
typedef NS_ENUM(NSInteger, AGEErrorCode) {
    /**
     * 0: No error occurs.
     */
    AGEErrorCodeOK = 0,
    /**
     * -1: A general error occurs (no specified reason).
     */
    AGEErrorCodeFAILED = -1,
    /**
     * -2: The argument is invalid.
     */
    AGEErrorCodeInvalidArgument = -2,
    /**
     * -3: The SDK module is not ready.
     */
    AGEErrorCodeNotReady = -3,
    /**
     * -4: The SDK does not support this function.
     */
    AGEErrorCodeNotSupport = -4,
    /**
     * -5: The request is rejected.
     */
    AGEErrorCodeRefused = -5,
    /**
     * -6: The buffer size is not big enough to store the returned data.
     */
    AGEErrorCodeBufferTooSmall = -6,
    /**
     * -7: The SDK is not initialized before calling this method.
     */
    AGEErrorCodeNotInitialized = -7,
    /**
     * -8: The state is invalid.
     */
    AGEErrorCodeInvalidState = -8,
    /**
     * -9: No permission. This is for internal use only, and does
     * not return to the app through any method or callback.
     */
    AGEErrorCodeNoPermission = -9,
};

#endif /* AMCEnumerates_h */
